Index: llvm-toolchain-11-11.1.0/integration-test-suite/tests/basic_lldb.c
===================================================================
--- llvm-toolchain-11-11.1.0.orig/integration-test-suite/tests/basic_lldb.c
+++ llvm-toolchain-11-11.1.0/integration-test-suite/tests/basic_lldb.c
@@ -1,6 +1,7 @@
 // RUN: %clang -g -o %t %s
 // RUN: %lldb -s %S/basic_lldb.in %t | grep "main at basic_lldb.c:"
 // REQUIRES: lldb, clang
+// XFAIL: i686, i386
 
 int main() {
 	int a=0;
Index: llvm-toolchain-11-11.1.0/integration-test-suite/tests/basic_lldb2.cpp
===================================================================
--- llvm-toolchain-11-11.1.0.orig/integration-test-suite/tests/basic_lldb2.cpp
+++ llvm-toolchain-11-11.1.0/integration-test-suite/tests/basic_lldb2.cpp
@@ -1,6 +1,7 @@
 // RUN: %clangxx -g -o %t %s
 // RUN: %lldb -s %S/basic_lldb2.in %t | grep "stop reason = step over"
 // REQUIRES: lldb, clangxx
+// XFAIL: i686, i386
 
 #include <vector>
 int main (void)
Index: llvm-toolchain-11-11.1.0/integration-test-suite/tests/test_asan_lc.c
===================================================================
--- llvm-toolchain-11-11.1.0.orig/integration-test-suite/tests/test_asan_lc.c
+++ llvm-toolchain-11-11.1.0/integration-test-suite/tests/test_asan_lc.c
@@ -3,6 +3,7 @@
 // REQUIRES: clang
 // RUN: %clang -fsanitize=address %s -o %t -lc
 // RUN: %t
+// XFAIL: i686, i386
 
 #include <stdio.h>
 int main(int argc, char **argv)
